作者 主題: FreeBSD 4.4  (閱讀 6827 次)

0 會員 與 1 訪客 正在閱讀本文。

梁楓

  • 俺是博士!
  • *****
  • 文章數: 6220
    • 檢視個人資料
FreeBSD 4.4
« 於: 2001-11-02 15:19 »
哇靠...
前天裝了這個版本...
才想要在來個AUTH弁鄋搴endmail...
沒想到,只要到/usr/ports裡的sendmail-sasl就解決了

.....

這樣子還有需要教sendmail setup嗎?

faint...

...

  • 酷學園旁聽生
  • 俺是博士!
  • *****
  • 文章數: 5607
    • 檢視個人資料
FreeBSD 4.4
« 回覆 #1 於: 2001-11-17 10:55 »
我覺得還是可以提出來討論說
像我們主任就不太喜歡我們用port那些來安裝
起初我也不知道是為了什麼說
不過玩到現在
有點小小心得
才了解他當時後的苦心^^
萬不起頭難ㄅㄚ
一步一步的做
可能會有更大的收穫

純粹個人心得 ^^

...

  • 酷學園旁聽生
  • 俺是博士!
  • *****
  • 文章數: 5607
    • 檢視個人資料
FreeBSD 4.4
« 回覆 #2 於: 2001-11-18 15:41 »
mnn...我想, 見仁見智! ports 可以解決不少麻煩, 方便使用... 但, 自己 make 則可以 diy 出你理想中的 daemon or 程式... 看個人喜好囉! :razz:

基兄, 還是要教啦!

阿渣

  • 懷疑的國中生
  • **
  • 文章數: 53
    • 檢視個人資料
    • http://cafes.demons.to/
FreeBSD 4.4
« 回覆 #3 於: 2002-02-05 11:38 »
可是我每次給他make install就給他出現以下的錯誤訊息人後就停住了,這是怎麼回事啊?

This port requires the OpenSSL library, which is part of
the FreeBSD crypto distribution but not installed on your
machine. Please see the "OpenSSL" section in the handbook
(at "http://www.FreeBSD.org/handbook/openssl.html", for instance)
for instructions on how to obtain and install the FreeBSD
OpenSSL distribution.
*** Error code 1

Stop.

梁楓

  • 俺是博士!
  • *****
  • 文章數: 6220
    • 檢視個人資料
FreeBSD 4.4
« 回覆 #4 於: 2002-02-06 11:42 »
引用

在 2002-02-05 11:38, 阿渣 寫了:
可是我每次給他make install就給他出現以下的錯誤訊息人後就停住了,這是怎麼回事啊?

This port requires the OpenSSL library, which is part of
the FreeBSD crypto distribution but not installed on your
machine. Please see the "OpenSSL" section in the handbook
(at "http://www.FreeBSD.org/handbook/openssl.html", for instance)
for instructions on how to obtain and install the FreeBSD
OpenSSL distribution.
*** Error code 1

Stop.



你在安裝的時候有選擇要支援openssl的弁遄A但是你的openssl安裝並沒有完整成央A所以才會出現。

我個人建議,安裝php如果你還不是很確定要的情況下,最好用預設值加上mysql,如果是用ports安裝,他的弁鉯鼣璊云熙怳U面那樣也要選(那個是支援session弁鄋滿^,這樣子安裝失敗率就會減低了!

阿渣

  • 懷疑的國中生
  • **
  • 文章數: 53
    • 檢視個人資料
    • http://cafes.demons.to/
FreeBSD 4.4
« 回覆 #5 於: 2002-02-10 04:01 »
我大部分是用port來安裝軟體的,我的openssl也是在/ust/ports/security/openssl裡make install後完全沒有錯誤訊息呀,可是在安裝其他軟體時只要他的Makefile裡有openssl字樣,一律出現此錯誤訊息,我也曾經試過自行下載編譯安裝openssl,狀況依然相同,到底openssl要怎麼裝才是正確的呀?害我現在要裝軟體之前都要先把該軟體的Makefile裡有openssl字樣的那一行#掉才能成它w裝,但我知道這樣是不對的呀,誰能幫幫我呢?

neolai

  • 可愛的小學生
  • *
  • 文章數: 9
    • 檢視個人資料
    • http://dns.kclai.idv.tw
FreeBSD 4.4
« 回覆 #6 於: 2002-02-13 16:55 »
重灌了數次終於試成奶F,因為openssl是被當成相依檔案,而安裝PHP or sasl等軟體時,他需要的相依軟體彼此間會參考來參考去,所以怎樣裝怎樣錯,哪個勾哪個不勾,試到想換了OS,最後發現先單獨裝他的大型的相依軟體,會先掛上些lib and 需要的參照檔案,若出現錯誤 make clean ; make reinstall,就會成奶F,再裝你要裝的PHP等軟體...就會出現xxxx....found了,只是phpinfo不是挺好看就是了(會先without再with),土法煉鋼笨方法.... :razz:

P.S.我碰過會出現這樣問題的有 php,pdflib,ldap,postfix 綜其觀來,不外乎需要lib,編碼程式,前導程式等,應該注意看一下錯誤訊息就知道是哪個軟體了

'./configure' '--with-apxs=/usr/local/sbin/apxs' '--with-config-file-path=/usr/local/etc' '--enable-versioning' '--with-system-regex' '--disable-debug' '--enable-track-vars' '--without-gd' '--without-mysql' '--with-gd=/usr/local' '--with-freetype-dir=/usr/local' '--with-jpeg-dir=/usr/local' '--with-png-dir=/usr/local' '--with-zlib' '--with-mcrypt=/usr/local' '--with-mhash=/usr/local' '--with-pdflib=/usr/local' '--with-zlib-dir=/usr' '--with-jpeg-dir=/usr/local' '--with-png-dir=/usr/local' '--with-tiff-dir=/usr/local' '--with-imap=/usr/local' '--with-mysql=/usr/local' '--with-ldap=/usr/local' '--with-openssl=/usr' '--with-xml' '--with-expat-dir=/usr/local' '--enable-xslt' '--with-xslt-sablot' '--with-expat-dir=/usr/local' '--with-dom=/usr/local' '--enable-ftp' '--with-curl=/usr/local' '--with-gettext=/usr/local' '--enable-trans-sid' '--with-iconv=/usr/local' '--prefix=/usr/local' 'i386--freebsd4.4'

阿渣

  • 懷疑的國中生
  • **
  • 文章數: 53
    • 檢視個人資料
    • http://cafes.demons.to/
FreeBSD 4.4
« 回覆 #7 於: 2002-02-14 09:33 »
呵呵!我也成奶F說!因為我在安裝的時候通常只選bin、man、src->sys而已,我發現只要再把crypto裝進去就好囉!哈哈哈!萬用make install!